Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.svg
Interface SVGDocument

All Superinterfaces:
  org.w3c.dom.Document, org.w3c.dom.events.DocumentEvent, org.w3c.dom.Node

All Known Implementing Classes:
  SVGOMDocument

public interface SVGDocument
extends org.w3c.dom.Document, org.w3c.dom.events.DocumentEvent

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`java.lang.String` | `getDomain()`
`java.lang.String` | `getReferrer()`
`SVGSVGElement` | `getRootElement()`
`java.lang.String` | `getTitle()`
`java.lang.String` | `getURL()`

Methods inherited from interface org.w3c.dom.Document
`createAttribute, createAttributeNS, createCDATASection, createComment, createDocumentFragment, createElement, createElementNS, createEntityReference, createProcessingInstruction, createTextNode, getDoctype, getDocumentElement, getElementById, getElementsByTagName, getElementsByTagNameNS, getImplementation, importNode`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Methods inherited from interface org.w3c.dom.events.DocumentEvent
`createEvent`

Method Detail

### getTitle

    public java.lang.String getTitle()

### getReferrer

    public java.lang.String getReferrer()

### getDomain

    public java.lang.String getDomain()

### getURL

    public java.lang.String getURL()

### getRootElement

    public SVGSVGElement getRootElement()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.